### Syncfusion&reg; Blazor Input Components

This package contains [Blazor Color Picker](https://www.syncfusion.com/blazor-components/blazor-color-picker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Blazor File Upload](https://www.syncfusion.com/blazor-components/blazor-file-upload?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Blazor MaskedTextBox](https://www.syncfusion.com/blazor-components/blazor-input-mask?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Blazor NumericTextBox](https://www.syncfusion.com/blazor-components/blazor-numeric-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Blazor Range Slider](https://www.syncfusion.com/blazor-components/blazor-range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Blazor TextBox](https://www.syncfusion.com/blazor-components/blazor-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Blazor SpeechToText](https://www.syncfusion.com/blazor-components/blazor-speech-to-text?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) and [Blazor Rating](https://www.syncfusion.com/blazor-components/blazor-rating?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) components for Blazor application.

### System Requirements

* [System Requirements](https://blazor.syncfusion.com/documentation/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor Color Picker

The [Blazor Color Picker](https://www.syncfusion.com/blazor-components/blazor-color-picker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) component allows you to pick colors either by selecting them from the color picker container or by adjusting the hue and opacity. It supports inline mode, palette customization, and localization for seamless integration into forms.

![Blazor Color Picker](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-colorpicker.png)

#### Getting Started

* [Getting Started with Blazor Color Picker](https://blazor.syncfusion.com/documentation/color-picker/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor Color Picker Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-color-picker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Color Picker Component Documentation](https://blazor.syncfusion.com/documentation/color-picker/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Color Picker Component Demos](https://blazor.syncfusion.com/demos/color-picker/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Color Picker Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/color-picker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor File Upload

The [Blazor File Upload](https://www.syncfusion.com/blazor-components/blazor-file-upload?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) is a component for uploading files, images, documents, and audio and video files to a server. The File Upload works in both WebAssembly and Server-side Blazor apps, and also supports a rich set of features that include multiple file selection, progress bars, auto-uploading, drag and drop, folder (directory) uploading, file validation, and more.

![Blazor File Upload](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-file-upload.png)

#### Getting Started

* [Getting Started with Blazor File Upload](https://blazor.syncfusion.com/documentation/file-upload/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Getting started with Blazor File Upload in WebAssembly App](https://blazor.syncfusion.com/documentation/file-upload/how-to/getting-started-with-blazor-webassembly?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor File Upload Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-file-upload?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor File Upload Component Documentation](https://blazor.syncfusion.com/documentation/file-upload/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor File Upload Component Demos](https://blazor.syncfusion.com/demos/file-upload/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor MaskedTextBox

The [Blazor MaskedTextBox](https://www.syncfusion.com/blazor-components/blazor-input-mask?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) is a component that provides an easy and reliable way to collect user input based on a standard mask. It allows you to capture phone numbers, date values, credit card numbers, and other standard format values.

![Blazor MaskedTextBox](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-maskedtextbox.png)

#### Getting Started

* [Getting Started with Blazor MaskedTextBox](https://blazor.syncfusion.com/documentation/input-mask/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor MaskedTextBox Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-input-mask?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor MaskedTextBox Component Documentation](https://blazor.syncfusion.com/documentation/input-mask/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor MaskedTextBox Component Demos](https://blazor.syncfusion.com/demos/input-mask/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor MaskedTextBox Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/input-mask?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor NumericTextBox

The [Blazor NumericTextBox](https://www.syncfusion.com/blazor-components/blazor-numeric-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) component is a quick replacement of the number-type HTML input element. It’s used to get number inputs from users. It has several out-of-the-box features such as number format support, precision component, and spin buttons.

![Blazor NumericTextBox](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-numerictextbox.png)

#### Getting Started

* [Getting Started with Blazor NumericTextBox](https://blazor.syncfusion.com/documentation/numeric-textbox/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor NumericTextBox Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-numeric-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor NumericTextBox Component Documentation](https://blazor.syncfusion.com/documentation/numeric-textbox/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor NumericTextBox Component Demos](https://blazor.syncfusion.com/demos/numeric-textbox/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor NumericTextBox Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/numeric-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor Signature

The [Blazor Signature](https://www.syncfusion.com/blazor-components/blazor-signature?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) - Signature component allows user to draw smooth signatures as vector outline of strokes using variable width Bézier curve interpolation. It allows to save signature as image.

![Blazor Signature](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-signature.png)

#### Getting Started

* [Getting Started with Blazor Signature](https://blazor.syncfusion.com/documentation/signature/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor Signature Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-signature?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Signature Component Documentation](https://blazor.syncfusion.com/documentation/signature/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Signature Component Demos](https://blazor.syncfusion.com/demos/signature/default?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Signature Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/signature?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor Range Slider

The [Blazor Range Slider](https://www.syncfusion.com/blazor-components/blazor-range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) is a custom range-type HTML5 input Component. It allows you to select a value or range of values between a specified min and max.

![Blazor Range Slider](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-range-slider.png)

#### Getting Started

* [Getting Started with Blazor Range Slider](https://blazor.syncfusion.com/documentation/range-slider/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor Range Slider Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Range Slider Component Documentation](https://blazor.syncfusion.com/documentation/range-slider/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Range Slider Component Demos](https://blazor.syncfusion.com/demos/range-slider/default?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Range Slider Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor TextBox

The [Blazor TextBox](https://www.syncfusion.com/blazor-components/blazor-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) is a component for editing, displaying, or entering plain text on forms to capture user names, phone numbers, email, and more. This component is an extended version of the HTML5 TextBox (input type text) component with icons, floating labels, different sizing, grouping, validation states, and more. It is available in an HTML5/CSS version and a JavaScript version.

![Blazor TextBox](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-textbox.png)

#### Getting Started

* [Getting Started with Blazor TextBox](https://blazor.syncfusion.com/documentation/textbox/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor TextBox Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor TextBox Component Documentation](https://blazor.syncfusion.com/documentation/textbox/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor TextBox Component Demos](https://blazor.syncfusion.com/demos/textbox/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor TextBox Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor Rating

The [Blazor Rating](https://www.syncfusion.com/blazor-components/blazor-rating?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) component is used to provide a star rating or view other people’s ratings on a numeric scale for any service provided, such as for movies, applications, or products. It has several built-in features such as support for precision modes, labels, tooltip, and UI customization.

![Blazor Rating](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-rating.gif)

#### Getting Started

* [Getting Started with Blazor Rating](https://blazor.syncfusion.com/documentation/rating/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor Rating Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-rating?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Rating Component Documentation](https://blazor.syncfusion.com/documentation/rating/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Rating Component Demos](https://blazor.syncfusion.com/demos/rating/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor Rating Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/rating?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Blazor SpeechToText

The [Blazor SpeechToText](https://www.syncfusion.com/blazor-components/blazor-speech-to-text?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) component provides seamless voice-to-text conversion in the web applications. It features real-time transcription with interim results, multilingual recognition, customizable buttons and tooltips, and error handling, ensuring an intuitive and accessible speech recognition experience.

![Blazor SpeechToText](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-speech-to-text.png)

#### Getting Started

* [Getting Started with Blazor SpeechToText](https://blazor.syncfusion.com/documentation/speech-to-text/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

#### Resources

* [Blazor SpeechToText Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-speech-to-text?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor SpeechToText Component Documentation](https://blazor.syncfusion.com/documentation/speech-to-text/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Blazor SpeechToText Component Demos](https://blazor.syncfusion.com/demos/speech-to-text/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### Support and feedback
* For any other queries, reach our [Syncfusion&reg; support team](https://www.syncfusion.com/support/directtrac/incidents/newincident?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) or post the queries through the [community forums](https://www.syncfusion.com/forums/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget).
* Provide feature request through the [Syncfusion&reg; feedback portal](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

### License
This is a commercial product and requires a paid license for possession or use. Syncfusion&reg; licensed software, including this component, is subject to the terms and conditions of [Syncfusion&reg; EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget). You can purchase a license [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget).

### About Syncfusion&reg;
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion&reg; has more than 29,000 customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1800+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) | Toll Free: 1-888-9 DOTNET